
Redmine - Feature #7296

Ability for admin to delete users

2011-01-11 21:11 - Jean-Philippe Lang

Status: Closed Start date: 2011-01-11

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version: 1.2.0   

Resolution: Fixed   

Description

Related issues:

Related to Redmine - Feature #6751: Advanced user administration Closed 2010-10-27

Related to Redmine - Feature #1572: Delete Users and automatically ticket change New 2008-07-03

Related to Redmine - Feature #3433: Allow deletion of Pending User, not yet a... New 2009-06-02

Related to Redmine - Defect #5679: Watchers not cleaned/updated when deleting... Closed 2010-06-12

Associated revisions

Revision 4726 - 2011-01-16 15:27 - Jean-Philippe Lang

When destroying a user, remove all references to that user (#7296).

Revision 4729 - 2011-01-16 16:23 - Jean-Philippe Lang

Enable ability for administrators to delete users (#7296).

User's personal data (eg. preferences, tokens, private queries...) are deleted, public data (eg. issues, wiki edits, attachments...) are reassigned to the

anonymous user.

History

#1 - 2011-01-11 21:11 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#2 - 2011-01-16 16:51 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Implemented in r4726 and r4729.

#3 - 2011-04-28 22:16 - Anonymous

Can't wait to update for this :) Will the API support deleting users then?

#4 - 2011-04-28 23:33 - Anonymous

Apparently I can't edit my own message, anyway, yes the API will support deleting users now.

#5 - 2020-04-20 18:09 - Marius BĂLTEANU

- Related to Defect #5679: Watchers not cleaned/updated when deleting/moving watched object added

Powered by TCPDF (www.tcpdf.org)

2025-05-01 1/1

https://www.redmine.org/projects/redmine/repository/svn/revisions/4726
https://www.redmine.org/projects/redmine/repository/svn/revisions/4729
http://www.tcpdf.org

